#version 330 core

uniform vec2 Origin;
uniform vec2 TexelSize;

layout (location = 0) in vec2 POSITION;

out vec2 uv;

void main()
{
	uv = POSITION + TexelSize*0.5 - Origin;
	gl_Position = vec4(POSITION*2.0 - vec2(1.0), 0.0, 1.0);
}
